|  | Home · All Classes · All Functions · Overviews

# Qt 3 Support Members for QAbstractButton

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QAbstractButton class reference

## Public Functions

| QAbstractButton ( QWidget * parent, const char * name, Qt::WindowFlags f = 0 )
QKeySequence | accel () const
QIcon * | iconSet () const
bool | isOn () const
bool | isToggleButton () const
const QPixmap * | pixmap () const
void | setAccel ( const QKeySequence & key )
void | setIconSet ( const QIcon & icon )
void | setPixmap ( const QPixmap & p )
void | setToggleButton ( bool b )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Public Slots

void | setOn ( bool b )

- 1 public slot inherited from QWidget

## Member Function Documentation

### QAbstractButton::QAbstractButton ( QWidget * parent, const char * name, Qt::WindowFlags f = 0 )

Use QAbstractButton(QWidget *) instead.

Call setObjectName() if you want to specify an object name, and setParent() if you want to set the window flags.

### QKeySequence QAbstractButton::accel () const

Use shortcut() instead.

See also setAccel().

### QIcon * QAbstractButton::iconSet () const

Use icon() instead.

See also setIconSet().

### bool QAbstractButton::isOn () const

Use isChecked() instead.

### bool QAbstractButton::isToggleButton () const

Use isCheckable() instead.

### const QPixmap * QAbstractButton::pixmap () const

This compatibility function always returns 0.

Use icon() instead.

See also setPixmap().

### void QAbstractButton::setAccel ( const QKeySequence & key )

Use setShortcut() instead.

See also accel().

### void QAbstractButton::setIconSet ( const QIcon & icon )

Use setIcon() instead.

See also iconSet().

### void QAbstractButton::setOn ( bool b ) `[slot]`

Use setChecked() instead.

See also isOn().

### void QAbstractButton::setPixmap ( const QPixmap & p )

Use setIcon() instead.

See also pixmap().

### void QAbstractButton::setToggleButton ( bool b )

Use setCheckable() instead.

See also isToggleButton().